Public Types | Public Member Functions

# cv::MatIterator_< _Tp > Class Template Reference

`#include <core.hpp>`

Inheritance diagram for cv::MatIterator_< _Tp >:

List of all members.

## Public Types
typedef std::random_access_iterator_tag | iterator_category
typedef _Tp * | pointer
typedef _Tp & | reference
## Public Member Functions
| MatIterator_ ()
| the default constructor
| MatIterator_ (Mat_< _Tp > *_m)
| constructor that sets the iterator to the beginning of the matrix
| MatIterator_ (const Mat_< _Tp > *_m, Point _pt)
| constructor that sets the iterator to the specified element of the matrix
| MatIterator_ (const Mat_< _Tp > *_m, const int *_idx)
| constructor that sets the iterator to the specified element of the matrix
| MatIterator_ (Mat_< _Tp > *_m, int _row, int _col=0)
| constructor that sets the iterator to the specified element of the matrix
| MatIterator_ (const MatIterator_ &it)
| copy constructor
_Tp & | operator* () const
| returns the current matrix element
MatIterator_ | operator++ (int)
| increments the iterator
MatIterator_ & | operator++ ()
| increments the iterator
MatIterator_ & | operator+= (ptrdiff_t ofs)
| shifts the iterator forward by the specified number of elements
MatIterator_ | operator-- (int)
| decrements the iterator
MatIterator_ & | operator-- ()
| decrements the iterator
MatIterator_ & | operator-= (ptrdiff_t ofs)
| shifts the iterator backward by the specified number of elements
MatIterator_ & | operator= (const MatIterator_< _Tp > &it)
| copy operator
_Tp & | operator[] (ptrdiff_t i) const
| returns the i-th matrix element, relative to the current

## Detailed Description

### template<typename _Tp>
class cv::MatIterator_< _Tp >

Matrix read-write iterator

## Member Typedef Documentation

template<typename _Tp>

typedef std::random_access_iterator_tag cv::MatIterator_< _Tp >::iterator_category

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp>

typedef _Tp* cv::MatIterator_< _Tp >::pointer

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp>

typedef _Tp& cv::MatIterator_< _Tp >::reference

Reimplemented from cv::MatConstIterator_< _Tp >.

## Constructor & Destructor Documentation

template<typename _Tp >

cv::MatIterator_< _Tp >::MatIterator_ | ( | ) | `[inline]`

the default constructor

template<typename _Tp >

cv::MatIterator_< _Tp >::MatIterator_ | ( | Mat_< _Tp > * | _m ) | `[inline]`

constructor that sets the iterator to the beginning of the matrix

template<typename _Tp >

cv::MatIterator_< _Tp >::MatIterator_ | ( | Mat_< _Tp > * | _m,
|  | int | _row,
|  | int | _col = `0`
| ) |  | `[inline]`

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp >

cv::MatIterator_< _Tp >::MatIterator_ | ( | const Mat_< _Tp > * | _m,
|  | Point | _pt
| ) |  | `[inline]`

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp >

cv::MatIterator_< _Tp >::MatIterator_ | ( | const Mat_< _Tp > * | _m,
|  | const int * | _idx
| ) |  | `[inline]`

constructor that sets the iterator to the specified element of the matrix

template<typename _Tp >

cv::MatIterator_< _Tp >::MatIterator_ | ( | const MatIterator_< _Tp > & | it ) | `[inline]`

copy constructor

## Member Function Documentation

template<typename _Tp >

_Tp & cv::MatIterator_< _Tp >::operator* | ( | ) | const`[inline]`

returns the current matrix element

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp >

MatIterator_< _Tp > & cv::MatIterator_< _Tp >::operator++ | ( | ) | `[inline]`

increments the iterator

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp >

MatIterator_< _Tp > cv::MatIterator_< _Tp >::operator++ | ( | int | ) | `[inline]`

increments the iterator

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp >

MatIterator_< _Tp > & cv::MatIterator_< _Tp >::operator+= | ( | ptrdiff_t | ofs ) | `[inline]`

shifts the iterator forward by the specified number of elements

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp >

MatIterator_< _Tp > cv::MatIterator_< _Tp >::operator-- | ( | int | ) | `[inline]`

decrements the iterator

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp >

MatIterator_< _Tp > & cv::MatIterator_< _Tp >::operator-- | ( | ) | `[inline]`

decrements the iterator

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp >

MatIterator_< _Tp > & cv::MatIterator_< _Tp >::operator-= | ( | ptrdiff_t | ofs ) | `[inline]`

shifts the iterator backward by the specified number of elements

Reimplemented from cv::MatConstIterator_< _Tp >.

template<typename _Tp >

MatIterator_< _Tp > & cv::MatIterator_< _Tp >::operator= | ( | const MatIterator_< _Tp > & | it ) | `[inline]`

copy operator

template<typename _Tp >

_Tp & cv::MatIterator_< _Tp >::operator[] | ( | ptrdiff_t | i ) | const`[inline]`

returns the i-th matrix element, relative to the current

Reimplemented from cv::MatConstIterator_< _Tp >.

The documentation for this class was generated from the following files:

- C:/opt/OpenCV-2.2.0/modules/core/include/opencv2/core/core.hpp
- C:/opt/OpenCV-2.2.0/modules/core/include/opencv2/core/mat.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines